/*/----------------------------------------------------- 
 style2.css 
-Importar modo oscuro 
-Imporar fuentes 
-Header
-Card
-Botones de los card 
-Comentarios 
-Responsive
------------------------------------------------------------------ */ 


@import "modo-oscuro.css";
@import url(https://unpkg.com/open-props/open-props.min.css);
@import url(https://unpkg.com/open-props/normalize.min.css); 
/* estos dos enlaces son ara añadir un modo oscuro */
@font-face {
  font-family: f1font;
  src: url(../files/Fonts/Oswald-Regular.ttf);
  /* fuente basada en la F1 */
}
body{
    margin: 0rem;
    overflow-x: hidden;
}
html{
  overflow-x: hidden;
}
.logo{
  width: 30%;
}
.header{   
display: flex;
align-items: center;
}
.elemento__lista {
    margin: 2rem;
    font-size: 1.3rem;
    cursor: pointer;
} 
.lista{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}
.contenedor{
    display: flex;
    margin: 3rem;
    width: 90%;   
}
.card_imagen{
  box-shadow: 10px 5px 5px black;
}
.card{
    box-sizing: content-box;
    width: 100%;
    margin: 3rem;  
}
.card_titulo{
    margin: 0.5rem;
    text-align: center;
}
.card_texto{
    text-align: center;
    margin: 1.5rem;
    padding: 1px
}
.card2{ 
    width: 100%;
}
ul {
  align-items: center;
  padding: 0;
  display: inline-grid;
  grid-auto-flow: column;
  list-style-type: none;
  grid-template-columns: auto repeat(3, calc((var(--active, 0) * 130px) + 10px));
  transition: grid-template-columns 0.35s var(--ease-elastic-1);
  transition: grid-template-columns 0.35s var(--ease-elastic-1), -ms-grid-columns 0.35s var(--ease-elastic-1);
}
li {
  display: grid;
  justify-content: end;
  z-index: calc(var(--count) - var(--index));
}
.botoncito__colorado {
  background: hsl(0 0% 60% / 0.18);
  display: inline-block;
  padding: var(--size-2) var(--size-4);
  border-radius: var(--radius-5);
  margin: 0;
  color: var(--white-0);
  font-size: var(--font-size-1);
  font-weight: var(--font-weight-0);
  -webkit-backdrop-filter: blur(40px);
  backdrop-filter: blur(40px);

}
span {
  display: grid;
  align-items: center;
  grid-auto-flow: column;
  grid-template-columns: 16px 1fr;
  gap: 0.25rem;
}
a:focus-visible {
  outline-color: transparent;
}
ul:is(:focus-within, :hover) {
  --active: 1;
}
#mas
{display: none;
}
.botonleerMas {
margin: 1rem;
cursor: pointer; 

}
#mas2
{display: none;
}
.botonleerMas2 {
  margin: 1rem;
  background: #FF4742;
  border: 1px solid #FF4742;
  border-radius: 6px;
  box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 4px;
  box-sizing: border-box;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family: nunito,roboto,proxima-nova,"proxima nova",sans-serif;
  font-size: 16px;
  font-weight: 800;
  line-height: 16px;
  min-height: 40px;
  outline: 0;
  padding: 12px 14px;
  text-align: center;
  text-rendering: geometricprecision;
  text-transform: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: middle;
}
.botonleerMas2:hover,
.botonleerMas2:active {
  background-color: initial;
  background-position: 0 0;
  color: #FF4742;
}
.botonleerMas2:active {
  opacity:.5;
}
.botonleerMas {
    margin: 1rem;
    background: #FF4742;
    border: 1px solid #FF4742;
    border-radius: 6px;
    box-shadow: rgba(0, 0, 0, 0.1) 1px 2px 4px;
    box-sizing: border-box;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 800;
    line-height: 16px;
    min-height: 40px;
    outline: 0;
    padding: 12px 14px;
    text-align: center;
    text-rendering: geometricprecision;
    text-transform: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
  }
.botonleerMas:hover,
.botonleerMas:active {
    background-color: initial;
    background-position: 0 0;
    color: #FF4742;
  }
.botonleerMas:active {
    opacity:.5;
  }
.comentarios{
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  margin: 3rem;
  padding: 3px;
}
.comentarios__personas{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.comentarios__personas2{
  margin: 1rem;
  font-family: f1font;
}
.cajaComentarios{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem;
  font-family: f1font;
}
.contenedorC{
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.contenedor__imagen{
  box-shadow: 10px 5px 5px black;
}
.spoty__contenedor{
  box-shadow: 10px 5px 5px black;
}
.footer__final{
  background-color: #FF4742;
  display: flex;
  justify-content: space-evenly;
}
.comentarios__personas2{
  border: 5px solid black;
  border-style: inset;
  margin: 2rem;
}
/* He puesto aqui el responsive porque me parecia mas comodo hacerlo al final */
@media screen and (max-width: 780px) {
  body{
    width:150%;
    overflow-x: hidden;
  }
html{
  overflow-x: hidden;
}
.lista{
  align-items: center;
  flex-direction: column;
  }
.header{
  align-items: center;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-evenly;
  }
  .contenedor{
  width: 90%;
  display: grid;
  grid-template-columns: repeat(1 1fr);   
  }
  .card{
    width: 70%;
    margin: 0;
    margin-bottom: 1rem;
  }
  .card2{
   width: 60%;
  }
.contenedorC{
  width: 100%;
  display: flex;
  flex-direction: column;
   
  }
.spoty__contenedor{
  box-shadow: 10px 5px 5px black;
  width: 80%;
  margin-bottom: 1rem;
    
}
  .contenedor__imagen{
  box-shadow: 10px 5px 5px black;
  width: 50%;
}

.logo{
    width: 65%;
}
.comentarios{
 display: flex;
 flex-wrap: wrap;
}
.footer__final{
  background-color: transparent;
  text-align: center;
}
.cambio__Oscuro{
  display: flex;
}
}